Bug 1500717 (CVE-2017-8786)

Summary: CVE-2017-8786 pcre2: Heap-based buffer overflow in pcre2test.c
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: manisandro, ppisar
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: pcre2 10.30 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:29:08 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1500718, 1500719    
Bug Blocks:    

Description Andrej Nemec 2017-10-11 11:27:29 UTC
pcre2test.c in PCRE2 10.23 allows remote attackers to cause a denial of service (heap-based buffer overflow) or possibly have unspecified other impact via a crafted regular expression.

Upstream issue:

https://bugs.exim.org/show_bug.cgi?id=2079

Upstream patches:

https://vcs.pcre.org/pcre2?view=revision&revision=696
https://vcs.pcre.org/pcre2?view=revision&revision=697

References:

https://blogs.gentoo.org/ago/2017/04/29/libpcre-heap-based-buffer-overflow-write-in-pcre2test-c/

Comment 1 Andrej Nemec 2017-10-11 11:27:54 UTC
Created mingw-pcre2 tracking bugs for this issue:

Affects: fedora-26 [bug 1500718]


Created pcre2 tracking bugs for this issue:

Affects: epel-6 [bug 1500719]